<?php
namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [

         'App\Console\Commands\ClearLogData',
         'App\Console\Commands\SingleWithdrawal',
         'App\Console\Commands\PolymerizeWithdrawal',
        'App\Console\Commands\SingleDayWithdrawal',
        'App\Console\Commands\SingleUserDayWithdrawal',
        'App\Console\Commands\SendDDMsg',
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {

        $schedule->command('ClearLogData')->dailyAt('3:00')->withoutOverlapping();//每天凌晨3:00点钟跑一次
        $schedule->command('SingleWithdrawal')->everyFiveMinutes()->withoutOverlapping();//每5分钟跑一次
        $schedule->command('PolymerizeWithdrawal')->everyFiveMinutes()->withoutOverlapping();//每5分钟跑一次
        $schedule->command('SingleDayWithdrawal')->everyFiveMinutes()->withoutOverlapping();//每5分钟跑一次
        $schedule->command('SingleUserDayWithdrawal')->everyFiveMinutes()->withoutOverlapping();//每5分钟跑一次
        $schedule->command('SendDDMsg')->everyMinute()->withoutOverlapping();//每分钟跑一次
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
